<?php
/**
 * @file
 * pantarei_siren_core.context.inc
 */

/**
 * Implements hook_context_default_contexts().
 */
function pantarei_siren_core_context_default_contexts() {
  $export = array();

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'pantarei_siren_core';
  $context->description = 'PantaRei Siren default context for development';
  $context->tag = 'pantarei_siren';
  $context->conditions = array(
    'sitewide' => array(
      'values' => array(
        1 => 1,
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'devel-switch_user' => array(
          'module' => 'devel',
          'delta' => 'switch_user',
          'region' => 'footer',
          'weight' => '0',
        ),
        'devel-execute_php' => array(
          'module' => 'devel',
          'delta' => 'execute_php',
          'region' => 'footer',
          'weight' => '2',
        ),
      ),
    ),
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('PantaRei Siren default context for development');
  t('pantarei_siren');
  $export['pantarei_siren_core'] = $context;

  return $export;
}
